Page MenuHomePhabricator

[MLIR][SPIRV] Properly (de-)serialize BranchConditionalOp.
ClosedPublic

Authored by ergawy on Apr 30 2021, 1:17 AM.

Details

Summary

Implements proper (de-)serialization logic for BranchConditionalOp when
such ops have true/false target operands.

Diff Detail

Event Timeline

ergawy created this revision.Apr 30 2021, 1:17 AM
ergawy requested review of this revision.Apr 30 2021, 1:17 AM
antiagainst accepted this revision.May 6 2021, 10:44 AM

Awesome, thanks for fixing this non-trivial part! :D

mlir/test/Target/SPIRV/phi.mlir
292

Add CHECK-LABELs for these tests?

This revision is now accepted and ready to land.May 6 2021, 10:44 AM
ergawy updated this revision to Diff 343592.May 6 2021, 11:58 PM

Handle review comments.

ergawy marked an inline comment as done.May 6 2021, 11:59 PM
This revision was landed with ongoing or failed builds.May 7 2021, 12:01 AM
This revision was automatically updated to reflect the committed changes.